Debian Bug report logs - #462969
manpages: proc(5) incorrectly states /proc/meminfo values are in bytes

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Michael Schurter <michael@susens-schurter.com>

Date: Mon, 28 Jan 2008 16:15:01 UTC

Severity: normal

Found in version manpages/2.75-1

Fixed in version manpages/2.76-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#462969; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Schurter <michael@susens-schurter.com>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Schurter <michael@susens-schurter.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: proc(5) incorrectly states /proc/meminfo values are in bytes
Date: Mon, 28 Jan 2008 10:13:35 -0600
Package: manpages
Version: 2.75-1
Severity: normal


>From proc(5) /proc/meminfo section:
    It is in the same format as free(1), except in bytes rather than
    KB.

>From cat /proc/meminfo:
    MemTotal:      1027480 kB

I propose simply removing the clause ', except in bytes rather than
KB'

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#462969; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 462969@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Schurter <michael@susens-schurter.com>, 462969@bugs.debian.org
Subject: Re: Bug#462969: manpages: proc(5) incorrectly states /proc/meminfo values are in bytes
Date: Wed, 30 Jan 2008 13:05:48 +0100
tags upstream
tags pending
tags patch
thanks

Michael Schurter wrote:
> >>From proc(5) /proc/meminfo section:
>     It is in the same format as free(1), except in bytes rather than
>     KB.
> 
> >>From cat /proc/meminfo:
>     MemTotal:      1027480 kB
> 
> I propose simply removing the clause ', except in bytes rather than
> KB'

Agreed.

Regards,

	Joey

-- 
Life is too short to run proprietary software.  -- Bdale Garbee

Please always Cc to me when replying to me on the lists.




Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Schurter <michael@susens-schurter.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 462969-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 462969-close@bugs.debian.org
Subject: Bug#462969: fixed in manpages 2.76-1
Date: Wed, 30 Jan 2008 21:47:02 +0000
Source: manpages
Source-Version: 2.76-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.76-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.76-1_all.deb
manpages_2.76-1.diff.gz
  to pool/main/m/manpages/manpages_2.76-1.diff.gz
manpages_2.76-1.dsc
  to pool/main/m/manpages/manpages_2.76-1.dsc
manpages_2.76-1_all.deb
  to pool/main/m/manpages/manpages_2.76-1_all.deb
manpages_2.76.orig.tar.gz
  to pool/main/m/manpages/manpages_2.76.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 Jan 2008 22:20:57 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.76-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 149554 236671 333871 348072 405694 435018 454007 459232 462636 462969
Changes: 
 manpages (2.76-1) unstable; urgency=low
 .
   * New upstream version
     . Add 2.6 details for /proc/sys/kernel/random/poolsize to random(4)
       (closes: Bug#459232)
   * Convert changelog and copyright from latin1 to utf8 (closes: Bug#454007)
   * Added override for lintian false positives
   * Properly quote ... and 'at the beginning of a line in stdarg(3) and
     bootparam(7) (closes: Bug#462636)
   * Adjusted proc(5) to not claim using bytes anymore (closes: Bug#462969)
   * Improved examples in bsearch(3) and qsort(3), thanks to Falk H├╝ffner
     (closes: Bug#348072)
   * Document overriding of certain passwd fields in nsswitch.conf(5),
     thanks to Vincent McIntyre (closes: Bug#333871)
   * Don't claim running a nameserver on localhost is normal in
     resolv.conf(5) (closes: Bug#149554)
   * Adjusted the reporting address in ioctl_list(2) (closes: Bug#236671)
   * Added a note on inet6 in resolv.conf(5) (closes: Bug#405694)
   * Fixed typo in vfork(2) (closes: Bug#435018)
Files: 
 536f3494b54940ddb2d47abc1cc89215 584 doc important manpages_2.76-1.dsc
 7e330eca6fb97c261b30b36684e54101 1277680 doc important manpages_2.76.orig.tar.gz
 ec52822323d50e91572168079a30d684 48149 doc important manpages_2.76-1.diff.gz
 3abfb14f19dd2e0f0774f0c72df2d701 549796 doc important manpages_2.76-1_all.deb
 6f4eacab0716b1b0a82200fb7d158f83 1362732 doc optional manpages-dev_2.76-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHoOwCW5ql+IAeqTIRAhu3AJ9CRr7yXp5iXRv+HKz3ddd9J+1uzACfeUvg
UpzV9T81u1yLTUdq9pYlE0o=
=XC2T
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Feb 2008 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:19:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.